Instalando Eclipse PDT intente agregar el bien conocido debugger de Zend para php.
La instalacion recomendada:

  1. Abrir Eclipse PDT
  2. Ir a Help -> Install New Software
  3. Donde dice “Work With:” agregar un repositorio dando al boton “add”
  4. Aqui ingresaremos
  • Name: El nombre que les guste

5. Nos indicara el/los paquetes que deseemos instalar.

Hasta aqui barbaro, pero resulta que o bien hay un bug en Eclipse PDT para descargar del respositorio de Zend o bien Zend tiene un bug en el paquete de instalacion. Lo que si se que no a todos les ocurre este error de que Eclipse no encuentra el repositorio.

Como instalar manualmente Zend Debugger desde Eclipse PDT

Si bien la ayuda en la web encontrada es escasa se pudo resolver el problema descargando los plugins e instalandolos manualmente. Para esto debemos:
1. Creamos una carpeta que usaremos para actualizar Eclipse, en mi caso C:\Xampp\htdocs\zend.

El motivo por el cual cree la carpeta dentro de mi directorio web es que una vez descargados los archivos utilizaremos esta carpeta para actualizar mediante web local. Por lo tanto debemos tener previamente un servidor web apache o el que les guste. En esta entrada no se explicara la instalacion de un servidor web por lo que cualquier duda dejen un comentario al respecto.

2. Descargamos del sitio http://downloads.zend.com/pdt/

http://downloads.zend.com/pdt/features/org.zend.php.debug_feature_5.3.7.v20091124.jar

Este archivo lo colocamos en la raiz de la carpeta que creamos.

3. Creamos una carpeta “plugins” dentro de la carpeta creada antes (zend\plugins)
Alli dentro descargaremos
http://downloads.zend.com/pdt/plugins/org.zend.php.debug.debugger.win32.x86_5.3.7.v20091124.jar

http://downloads.zend.com/pdt/plugins/org.zend.php.debug.debugger_5.3.7.v20091124.jar

4. Ahora descargamos el archivo content.jar que aqui les dejo
Este archivo lo dejamos en la carpeta raiz que creamos al principio.

http://usuarios.multimania.es/mdpsoftware/zend/content.jar

NOTA: Este paso solo sirve para Eclipse PDT

5. Abrimos Eclipse PDT y vamos a Help->Install New Software
Agregamos un repositorio con el nombre que deseen
En location ponemos “http://127.0.0.1/zend”
Damos Ok

NOTA: Esto solo sirve teniendo Apache o su servidor web preferido funcionando en el puerto 80

6. Seleccionamos el paquete que nos aparece y lo instalamos.

Al parecer el problema es de uno de los archivos contenedores (content.jar), mirando su interior quiere actualizar a una version vieja. Complicado y simple, estas cosas creo que las tiene que reveer la gente de Zend.

Espero haber ayudado

Sun @ MdpSoftware




Categorías

Archivos

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.